Ubuntu

nvidia-173 and nvidia-96 uninstallable on Precise

Reported by Jean-Baptiste Lallement on 2012-03-06
This bug affects 211 people
Affects Status Importance Assigned to Milestone
NVIDIA Drivers Ubuntu
Undecided
Unassigned
nvidia-graphics-drivers-173 (Ubuntu)
Medium
Alberto Milone
Precise
Medium
Alberto Milone
nvidia-graphics-drivers-173-updates (Ubuntu)
Undecided
Unassigned
Precise
Medium
Alberto Milone
nvidia-graphics-drivers-96 (Ubuntu)
Undecided
Unassigned
Precise
Medium
Alberto Milone

Bug Description

Packages are available from the archive but uninstallable

# apt-get install nvidia-96 nvidia-173
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 nvidia-173 : Depends: xorg-video-abi-10 but it is not installable
              Recommends: nvidia-settings but it is not going to be installed
 nvidia-96 : Depends: xorg-video-abi-10 but it is not installable
             Recommends: nvidia-settings but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

# apt-cache policy nvidia-96 nvidia-173
nvidia-96:
  Installed: (none)
  Candidate: 96.43.20-0ubuntu6
  Version table:
     96.43.20-0ubuntu6 0
        500 http://gb.archive.ubuntu.com/ubuntu/ precise/restricted amd64 Packages
nvidia-173:
  Installed: (none)
  Candidate: 173.14.30-0ubuntu11
  Version table:
     173.14.30-0ubuntu11 0
        500 http://gb.archive.ubuntu.com/ubuntu/ precise/restricted amd64 Packages

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: nvidia-173 (not installed)
ProcVersionSignature: Ubuntu 3.2.0-18.28-generic 3.2.9
Uname: Linux 3.2.0-18-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 1.94-0ubuntu2
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
Date: Tue Mar 6 14:26:34 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 4.1.8, 3.2.0-17-generic, x86_64: installed
 virtualbox, 4.1.8, 3.2.0-18-generic, x86_64: installed
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 18) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:0456]
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 004: ID 0c45:641d Microdia 1.3 MPixel Integrated Webcam
MachineType: Dell Inc. Inspiron N4010
ProcEnviron:
 TERM=xterm
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-18-generic root=UUID=d8966312-304d-4504-b854-5ec365ce6e20 ro quiet splash vt.handoff=7
SourcePackage: nvidia-graphics-drivers-173
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 01/19/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A11
dmi.board.name: 021CN3
dmi.board.vendor: Dell Inc.
dmi.board.version: A11
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A11
dmi.modalias: dmi:bvnDellInc.:bvrA11:bd01/19/2011:svnDellInc.:pnInspironN4010:pvrA11:rvnDellInc.:rn021CN3:rvrA11:cvnDellInc.:ct8:cvrA11:
dmi.product.name: Inspiron N4010
dmi.product.version: A11
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.7.0~bzr2995-0ubuntu5
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.1-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.1-0ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.99.901+git20120126-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Jean-Baptiste Lallement (jibel) wrote :
Changed in nvidia-graphics-drivers-173 (Ubuntu Precise):
importance: Undecided → Medium
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
Martin Pitt (pitti) wrote :

This is known. There currently is no release in the -96 or 173 series which is compatible with our X.org server.

X.org team, do you know if there ever will be? If not, we can just as well remove these versions from the archive.

Changed in nvidia-graphics-drivers-173 (Ubuntu Precise):
assignee: Canonical Desktop Team (canonical-desktop-team) → Canonical X.org (canonical-x)
status: New → Triaged
Bryce Harrington (bryce) wrote :

We do anticipate getting one more -nvidia release prior to Precise shipping, and hope that will include an updated -173. Maybe we'll get -96 too but hard to say; that appears to get attention less frequently, so we might have to drop it.

In any case, I think we should wait on dropping these until closer to final freeze, so we can see what NVIDIA puts out.

Is it possible for us to toggle off -173 and -96 from being shown in jockey until we think it'll work? Might help quell some of the bug reports we get.

Bryce Harrington [2012-03-06 18:48 -0000]:
> Is it possible for us to toggle off -173 and -96 from being shown in
> jockey until we think it'll work? Might help quell some of the bug
> reports we get.

That already happens. In one of the previous cycles I changed Jockey
to compare the xorg-video-abi-* between the server and the driver, and
only show a driver if they match.

Martin
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

i have a nvidia geforce go 7300.
i don't have 3d unity with the latest drivers. and when i attempt to install the 137 nvidia driver it fails to install.
package is broken.

Andreu Bassols (andreu-eines) wrote :

Same problem! Trying to use a Nvidia FX5200 (uses 173 driver).

Nicolas VILA (nicolas-vila) wrote :

Hi guys, I have a solution for you (a painless workaround)
nvidia-173 drivers are not compatible with Xorg (ABI to be precise) version released in 12.04.
So I stick with 11.10 version of Xorg. I had to make the following changes to backport Xorg:

In /etc/apt/sources.list :

deb http://fr.archive.ubuntu.com/ubuntu/ oneiric main
deb-src http://fr.archive.ubuntu.com/ubuntu/ oneiric main

In /etc/apt/preferences:

Package: xserver-xorg*
Pin: release a=oneiric
Pin-Priority: 1050

Note related to nvidia-173 on Ubuntu 12.04:
I'm using old hardware with nvidia-173 drivers and I don't like the fact "composite" is mandatory to use Unity correctly (very laggy) I had to force composite to switch it "off" to avoid laggy windows by modifying /etc/X11/xorg.conf:

Section "Extensions"
    Option "Composite" "Disable"
EndSection

Nicolas VILA (nicolas-vila) wrote :

Forgot to mention that you need to run a "sudo apt-get update" and a "sudo apt-get dist-upgrade" in order to downgrade Xorg to the version from Oneiric (11.10)
Xorg is independent, so there is no conflict with any package from the rest of 12.04 release.
Enjoy.

Timo Aaltonen (tjaalton) wrote :

Do NOT downgrade to the previous X stack unless you know how to get out of the mess.. suggesting anything like that on bug reports is silly and dangerous!

thanassis05 (thanassis05) wrote :

Same problem! Trying to use a Nvidia FX5200 (uses 173 driver).
I can not install 173 driver. I installed the current but after awhile my resolution changed to 1024X768.
 cat /var/log/jockey.log and this the log

xbmc50 (xbmc50) wrote :

Really hoping that 96 will be added to release. Sigh..

Dave Stroud (bigdavesr) wrote :

I went out and found me a nvidia video card because I was useing a tottally unsuported video card. After searching the internet to find away to install ubuntu with the new nvidia, I now find it wont work either.I need the nvidia-96 and cant get it either for 12.04. How about a fix from ubuntu? thanks.

suli8 (suliman-saadi) wrote :

ok. there is a workaround, to get unity 3d running.
use the open source drivers nouveau. uninstall all nvidia drivers. install nouveau firmware from synaptic.
then sudo gedit /etc/environment
and add this line: UNITY_FORCE_START=1
save, reboot and you should be able to log into unity 3d .

notice it is a workaround, the performance on the nouveau drivers might not be good.
i'm using this, while waiting for the 173 driver or hoping the new drivers will support my go 7300.

Download full text (5.4 KiB)

Does not work for me . I have tried it on nvidia-96 .
On Apr 16, 2012 1:01 PM, "suli8" <email address hidden> wrote:

> ok. there is a workaround, to get unity 3d running.
> use the open source drivers nouveau. uninstall all nvidia drivers. install
> nouveau firmware from synaptic.
> then sudo gedit /etc/environment
> and add this line: UNITY_FORCE_START=1
> save, reboot and you should be able to log into unity 3d .
>
> notice it is a workaround, the performance on the nouveau drivers might
> not be good.
> i'm using this, while waiting for the 173 driver or hoping the new drivers
> will support my go 7300.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (941325).
> https://bugs.launchpad.net/bugs/948053
>
> Title:
> nvidia-96 and nvidia-173 uninstallable on Precise
>
> Status in NVIDIA Drivers Ubuntu:
> New
> Status in “nvidia-graphics-drivers-173” package in Ubuntu:
> Triaged
> Status in “nvidia-graphics-drivers-173” source package in Precise:
> Triaged
>
> Bug description:
> Packages are available from the archive but uninstallable
>
> # apt-get install nvidia-96 nvidia-173
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
> The following information may help to resolve the situation:
>
> The following packages have unmet dependencies:
> nvidia-173 : Depends: xorg-video-abi-10 but it is not installable
> Recommends: nvidia-settings but it is not going to be
> installed
> nvidia-96 : Depends: xorg-video-abi-10 but it is not installable
> Recommends: nvidia-settings but it is not going to be
> installed
> E: Unable to correct problems, you have held broken packages.
>
>
> # apt-cache policy nvidia-96 nvidia-173
> nvidia-96:
> Installed: (none)
> Candidate: 96.43.20-0ubuntu6
> Version table:
> 96.43.20-0ubuntu6 0
> 500 http://gb.archive.ubuntu.com/ubuntu/ precise/restricted
> amd64 Packages
> nvidia-173:
> Installed: (none)
> Candidate: 173.14.30-0ubuntu11
> Version table:
> 173.14.30-0ubuntu11 0
> 500 http://gb.archive.ubuntu.com/ubuntu/ precise/restricted
> amd64 Packages
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: nvidia-173 (not installed)
> ProcVersionSignature: Ubuntu 3.2.0-18.28-generic 3.2.9
> Uname: Linux 3.2.0-18-generic x86_64
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.94-0ubuntu2
> Architecture: amd64
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: compiz
> Date: Tue Mar 6 14:26:34 2012
> DistUpgraded: Fresh install
> DistroCodename: precise
> DistroVariant: ubuntu
> DkmsStatus:
> virtualbox, 4.1.8, 3.2.0-17-generic, x86_64: installed
> virtualbox, 4.1.8, 3.2.0-18-generic, x86_64: installed
> GraphicsCard:
> Intel Corporation Core Processor Integrated Graphics Controller
> [8086:0046] (re...

Read more...

Ubuntu can't fix this, nvidia should do that.

In Natty the 96 package never got updated post-release even when nvidia released compatible driver. PLEASE do update the Precise package whenever a compatible driver turns up.

Also the Precise 173 driver is outdated. 173.14.31 has been released by nvidia. Arch Linux already has this driver and it seems to be compatible with recent software.

Albert Pool (albertpool) wrote :

Edit. Fedora with Xorg 1.11 has working 173.14.31. So why can't we? Why do we need to stick with 173.14.30?

Timo Aaltonen (tjaalton) wrote :

173.14.31 *does not* support the video ABI in xserver 1.11, so that version won't help here

Dave Stroud (bigdavesr) wrote :

commit # 13 did not work for me. Usinf nvidia-96

suli8 (suliman-saadi) wrote :

@dave you need to uninstall all nvidia drivers! no 96 no 173. nothing. just the nouveau drivers. hope it works for you!

Algo (algo-lkma) wrote :

Luckily I read this post first! I won't upgrade to 12.04

djsorin (djsorinel) wrote :

I have the same bug, hjust installed 12.04 and i can't use my FX 5500

wowo (woutvanvucht) wrote :

I have also Geforce FX 5500. Unfortunately it has only 256 MB, so it cannot run Unity 3D.
If you have an FX 5500 you can run 12.04 LTS only in the Unity 2D mode.
FX 5500 is to old, so the only thing you can do is to buy newer video card with a minimum of 512 MB.
Also you can try a lighter version of Ubuntu, for instance Xubuntu 12.04 LTS.

Parth (parth-joshi) wrote :

I have the same problem, I installed Ubuntu 12.04 and display hanged. Un-installed the NVIDIA driver and it works fine.
Faced a similar problem after installing Ubuntu 11.10, but could resolve it by installing NVIDIA 173 version.
But the installation for the same fails with Ubuntu 12.04. Hope the dependencies for NVIDIA 173 driver on Ubuntu 12.04 are resolved soon.

Tom Cornell (tom-cornell) wrote :

Regarding the workaround in response #13: My GeForce Go 7300 card is now able to run Unity 3d with nvidia-current and the change to /etc/environment from the comment. So it may not be necessary to switch to the nouveau driver, at least for this card, and it may not be necessary to use the 173 driver. I'm not sure when the last time was that I could use nvidia-current -- I have been having to use 173 for several releases now. Not sure yet what performance will be like, but so far so good.

Dan Pearson (kam3bombh9-dan) wrote :

I need to use the Nvidia 173 driver,I had it working and then upgraded to 12.04 .Waiting for a fix, don't feel like downgrading is a good idea,I can only run the 2d unity and things are slow,a fix would be nice.

I am also really hoping that 96 will be added to release. Sigh..

badrobot (badrobot) wrote :

lspci
01:00.0 VGA compatible controller: NVIDIA Corporation NV11 [GeForce2 MX/MX 400]
(rev a1)
 same problem with nvidia-96 driver
uname -a
Linux ubuntu 3.2.0-24-generic #37-Ubuntu SMP Wed Apr 25 08:43:52 UTC 2012 i686 athlon i386 GNU/Linux
lsb_release -a
 No LSB modules are available.
 Distributor ID: Ubuntu
 Description: Ubuntu 12.04 LTS
 Release: 12.04
 Codename: precise

NeverMind (agathe-durieux) wrote :

somebody has tried to install nouveau ?

  sudo apt-get install xserver-xorg-video-nouveau

X.Org X server -- Nouveau display driver

This driver for the X.Org X server (see xserver-xorg for a further description) provides support for NVIDIA Riva, TNT, GeForce, and Quadro cards.

This package provides 2D support including EXA acceleration, Xv and RandR. 3D functionality is provided by the libgl1-mesa-dri package.

Dave Stroud (bigdavesr) wrote :

to commit # 28 . Both of those packages are installed by default on my system. They provide 2d support but no 3d support.Is there something else to install for 3d?

cometdog (ericctharley) wrote :

After upgrading to 12.04 I am now stuck with low (1024x768) resolution on a 1600x1200 monitor. Would love to fix this by installing nvidia-96, but have the problem identified in this bug. For some reason I can't coax xrandr or xorg.conf to do the right thing otherwise.

03:00.0 VGA compatible controller: NVIDIA Corporation NV18 [GeForce4 MX 440 AGP 8x] (rev a2)

wowo (woutvanvucht) wrote :

1) First you can try the terminal command:
xrandr --output VGA-1 --mode 1600x1200

2) Under settings displays I could not set all the resolutions if the mirror function was marked. If you unmarked this function may be you can set your desired resolution.

Charles Peters II (cp) wrote :

I followed Nicolas VILA suggestion in comment #7 and #8. It helped get this old mythtv frontend running with a GeForce FX 5500 AGP card. I would further suggest saving some notes on what changed so it is a bit easier to undo later.

Pedro Peixoto (pedrospeixoto) wrote :

For #28 and #29
I am havind the nvidia driver problem and I was able to use unity 3d by removind nvidia-settings (and current of course) and using nouveau. Hope this helps...

I still wish for a nvidia driver solution.

Pedro Peixoto (pedrospeixoto) wrote :

Forgot to say: using Gforce 540M

currynut (ceri-hopkins) wrote :

FYI, Nicolas' suggestion #7 and #8 worked perfectly for me.

After downgrade of Xorg and reboot, no X was configured. I dLogged into tty and followed with

$ sudo apt-get install nvidia-173

After reboot all was perfectly OK with graphics. My WLAN network cards didn't initialise on first reboot, but was fine on second reboot -- probably totally unrelated.

I have Dell Insprion 8600 with the following card
01:00.0 VGA compatible controller: NVIDIA Corporation NV34M [GeForce FX Go5200 64M] (rev a1) (prog-if 00 [VGA controller])

Giorgio (gioloi72) wrote :

I can confirm that workaround on #7 and #8 worked for me too.
I have an ASUS L5D with a GeForce FX Go 5600 VGA.

There is some discussion in the Nvidia forum at http://www.nvnews.net/vbulletin/showthread.php?t=179489
Quote from #15 "We're working on new ABI support for legacy branches right now; we're very sorry for the delays, we've been very busy with other stuff."
So there is still hope that updated drivers will be made available by Nvidia.

For the time being, In my opinion it would have been necessary to put a warning into the release notes of Ubuntu 12.04.

I've got a slow computer and during the upgrade I by chance even saw the text "removing nvidia-96" scrolling by, but at that moment it was already far too late to think about staying on Oneiric.

> There is some discussion in the Nvidia forum at
> http://www.nvnews.net/vbulletin/showthread.php?t=179489
> Quote from #15 "We're working on new ABI support for legacy branches right
> now; we're very sorry for the delays, we've been very busy with other
> stuff."
> So there is still hope that updated drivers will be made available by
> Nvidia.
>
> For the time being, In my opinion it would have been necessary to put a
> warning into the release notes of Ubuntu 12.04.
>
> I've got a slow computer and during the upgrade I by chance even saw the
> text "removing nvidia-96" scrolling by, but at that moment it was already
> far too late to think about staying on Oneiric.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/948053
>
> Title:
> nvidia-96 and nvidia-173 uninstallable on Precise
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/nvidia-drivers-ubuntu/+bug/948053/+subscriptions
> I noticed on the nvidia drivers page that they released some updates on
may 2. I tried the one for 96 but it would not install. Maybe there is
hope.
> ____________________________________________________________________________________
> Discover and compare hundreds of sources for Culinary Art School.
> http://click.lavabit.com/7rhe96zx7hszzqihwfax9oxpbq68nfbyyf1gkd43szoc97ojspiy/
> ____________________________________________________________________________________
>

I have a GeForce Go N11 video card, and after upgrading to 12.04 my screen is about 2/3 of what it used to be.
I tried to increase the resolution, but it did not work.
I checked and I am using the nouveau driver. There are no other drivers available.
I guess this is all related to this bug. Does that sound correct? Thanks.

Pedro Peixoto (pedrospeixoto) wrote :

I would like to add something for those having issues with this, as I was having. First: nouveau turned possible to use unity 3d. Now, folliwing the blog http://ramblingsofaswtester.com/?p=41 I was able to set my nvidia to work properly, using bumblebee. This maybe the case for only some cards, but might help someone.

tags: added: regression-release
Changed in nvidia-graphics-drivers-96 (Ubuntu Precise):
status: New → Confirmed
Changed in nvidia-graphics-drivers-96 (Ubuntu):
status: New → Confirmed
Timo Aaltonen (tjaalton) on 2012-06-06
Changed in nvidia-graphics-drivers-173 (Ubuntu Precise):
assignee: Canonical X.org (canonical-x) → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-173 (Ubuntu):
assignee: Canonical X.org (canonical-x) → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: Triaged → Fix Released
Changed in nvidia-graphics-drivers-173 (Ubuntu Precise):
status: Triaged → New
status: New → Confirmed
Changed in nvidia-graphics-drivers-173-updates (Ubuntu):
status: New → Fix Released
Changed in nvidia-graphics-drivers-173-updates (Ubuntu Precise):
status: New → Triaged
importance: Undecided → Medium
Changed in nvidia-graphics-drivers-173 (Ubuntu Precise):
status: Confirmed → Triaged
Changed in nvidia-graphics-drivers-173-updates (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-173-updates (Ubuntu Precise):
status: Triaged → Fix Committed
tags: added: verification-needed
Changed in nvidia-graphics-drivers-173 (Ubuntu Precise):
status: Triaged → Fix Committed
tags: added: verification-failed
removed: verification-needed
tags: added: verification-done
removed: verification-failed
Changed in nvidia-graphics-drivers-173 (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in nvidia-graphics-drivers-173-updates (Ubuntu Precise):
status: Fix Committed → Fix Released
summary: - nvidia-96 and nvidia-173 uninstallable on Precise
+ nvidia-96 uninstallable on Precise
summary: - nvidia-96 uninstallable on Precise
+ nvidia-173 and nvidia-96 uninstallable on Precise
83 comments hidden view all 163 comments
Algo (algo-lkma) wrote :

I am still in 11.10.

Hope Nvidia96 driver will be available soon, so that I can enjoy those new features in 12.04!

giardia (fabriziosm) wrote :

who tried the new nvidia96 drivers? im using the new release and i have a little more higher FPS (363 FPS against 235 of nouveau) maybe a faster performance but some visualization problems in firefox, for example in ubuntu forum pages and youtube search field is bit flickering; also in Totem, when i play mp3, the visual effects are shown with a line cutting the field from top right to bottom left. im using nvidia geforce2 mx400
also im using gnome-classic (no effect), because with effect, the frames of the windows arn't visible (with nouveau was working fine)

just another question: if i want to uninstall package libgl1-mesa-dri (it give 3D support for nouveau), it ask me to remove also xorg and ubuntu-desktop; should i leave installed, or should i remove from non-graphic mode and then reinstall xorg and ubuntu-desktop?

ps: about my comment #121 i managed to set the best resolution for my monitor adding a metamode in nvidia-settings

NoOp (glgxg) wrote :

12.04 32bit 3.2.0-31-generic-pae:

GL_RENDERER = Quadro4 900 XGL/AGP/SSE2
GL_VERSION = 1.4 (1.5.8 NVIDIA 96.43.23)

Prior to modifying the xorg.conf (created by: 'sudo nvidia-xsconfig & then modified by 'gksu nvidia-settings' my ~/.xsession-errors was continuously being flooded with:
/usr/bin/compiz (core) - Warn: No GLXFBConfig for depth 32
warnings.

I modified the Screen settings in the xorg.conf to include:
    Option "AddARGBGLXVisuals" "True"
Rebooted (just to be sure) & the messages are gone.

glxgears w/nouveau:
4005 frames in 5.0 seconds = 800.934 FPS
4248 frames in 5.0 seconds = 849.541 FPS
4240 frames in 5.0 seconds = 847.968 FPS
3910 frames in 5.0 seconds = 781.843 FPS

glxgears w/96.43.23:
13895 frames in 5.0 seconds = 2778.148 FPS
14700 frames in 5.0 seconds = 2937.791 FPS
14096 frames in 5.0 seconds = 2818.622 FPS
14580 frames in 5.0 seconds = 2914.800 FPS

NoOp (glgxg) wrote :

My xorg.conf is attached for reference.

1 comments hidden view all 163 comments
David Ellis (dr-ellis) wrote :

NVIDIA's 96.43.23 (32 bit) works for me on an ASUS 8170 GeForce4 MX 440.

My only issue was "The distribution-provided pre-install script failed!" but I accepted the default option "Yes" to continue installing anyway. Because I have a display with a rather odd display resolution I had to edit xorg.conf to get it included. I still have the old (dead) "96.43.20", the "173" and "current" in the package list from x-swat but presumably they will updated in time and I shall clean up everything then.

giardia (fabriziosm) wrote :

i hope nvidia96 will be available in ubuntu's repo, everythime they release a new kernel (that is happening more often nowadays) i have to install again the driver; also i receive updates about xorg recently, when i restart, the pc was in a loop at login, so i restart in safe mode, and to solve i removed and installed again the nvidia.run, it said the driver was corrupted by a recent installation and give the error /usr/lib/xorg/modules/extensions/libglx.so is not a symbolic link. but i was able to reinstall and now it work again as before.

Dave Stroud (bigdavesr) wrote :

Is there any time line on updating the 96 driver. This also affects 1210?

giardia (fabriziosm) wrote :

probably there is also a bug in the NVIDIA driver 96.43.23 installer, everytime I run NVIDIA driver script to compile the driver to upgrade/redo (xorg changes or whatever) , it deletes my installed libvdpau.so.1 I have to uninstall and reinstall libvdpau1 package through apt-get command. It's quite annoying when I want to use mplayer and gmplayer because of this error:

$ mplayer
mplayer: error while loading shared libraries: libvdpau.so.1: cannot open shared object file: No such file or directory

my /var/log/nvidia-installer.log. It shows:
$ cat nvidia-installer.log |grep libvdpau
-> Unable to restore symbolic link /usr/lib/libvdpau.so.1 -> libvdpau.so.1.0.0
-> Unable to restore symbolic link /usr/lib/vdpau/libvdpau_trace.so.1 ->
libvdpau_trace.so.1.0.0 (File exists).

can somebody file a bug?

maybe affect also other nvidia installers, as i read on the net that the code to delete conflicting libvdpau files was added to recent versions of the installer where the package replaces it with its own. That shouldn't have been backported to the legacy driver series, since it doesn't install one.

NoOp (glgxg) wrote :

@giardia: Interesting... I had not noticed because I hadn't run mplayer since the previous install of 96.43.23. So my log doesn't show the error. Now that I've reinstalled libvdpau, I suspect that the next reinstall of 96.43.23 will show the same.

However, I do see these:

$ cat nvidia-installer.log |grep libGL
-> Unable to restore symbolic link /usr/lib/i386-linux-gnu/mesa/libGL.so.1 ->
   libGL.so.1.2 (File exists).
-> Unable to restore symbolic link /usr/lib/i386-linux-gnu/mesa/libGL.so ->
   libGL.so.1 (File exists).
-> Unable to restore symbolic link /usr/lib/i386-linux-gnu/libGL.so ->
   mesa/libGL.so (File exists).

$ locate libGL.so
/usr/lib/libGL.so
/usr/lib/libGL.so.1
/usr/lib/libGL.so.96.43.23

$ ls -al /usr/lib/libGL.so*
lrwxrwxrwx 1 root root 10 Sep 27 16:50 /usr/lib/libGL.so -> libGL.so.1
lrwxrwxrwx 1 root root 17 Sep 27 16:50 /usr/lib/libGL.so.1 -> libGL.so.96.43.23
-rwxr-xr-x 1 root root 564468 Sep 27 16:50 /usr/lib/libGL.so.96.43.23

$ ldd `which /usr/lib/nux/unity_support_test -p` | grep libGL
 libGL.so.1 => /usr/lib/libGL.so.1 (0x00110000)
 libGLcore.so.1 => /usr/lib/libGLcore.so.1 (0x00fee000)

$ ls -al /usr/lib/libGLcore*
lrwxrwxrwx 1 root root 21 Sep 27 16:50 /usr/lib/libGLcore.so.1 -> libGLcore.so.96.43.23
-rwxr-xr-x 1 root root 8961144 Sep 27 16:50 /usr/lib/libGLcore.so.96.43.23

After reinstalling all of my mesa packages:
$ locate libGL.so
/usr/lib/libGL.so
/usr/lib/libGL.so.1
/usr/lib/libGL.so.96.43.23
/usr/lib/i386-linux-gnu/libGL.so
/usr/lib/i386-linux-gnu/mesa/libGL.so
/usr/lib/i386-linux-gnu/mesa/libGL.so.1
/usr/lib/i386-linux-gnu/mesa/libGL.so.1.2

$ ls -al /usr/lib/i386-linux-gnu/mesa/libGL*
lrwxrwxrwx 1 root root 10 Sep 10 16:37 /usr/lib/i386-linux-gnu/mesa/libGL.so -> libGL.so.1
lrwxrwxrwx 1 root root 12 Sep 10 16:37 /usr/lib/i386-linux-gnu/mesa/libGL.so.1 -> libGL.so.1.2
-rw-r--r-- 1 root root 358232 Sep 10 16:38 /usr/lib/i386-linux-gnu/mesa/libGL.so.1.2

bugreport should contain PEBAC

vdpau is only ment for newer graphics cards. It was not even invented, when these cards were produced.

https://https://secure.wikimedia.org/wikipedia/en/wiki/VDPAU

It is used to offlaod a portion of computing to the GPU :-)

NoOp (glgxg) wrote :

Reinstalling all of my mesa packages borked my DRI:
$ LIBGL_DEBUG=verbose /usr/lib/nux/unity_support_test -p
libGL: screen 0 does not appear to be DRI2 capable
libGL: OpenDriver: trying /usr/lib/i386-linux-gnu/dri/tls/swrast_dri.so
libGL: OpenDriver: trying /usr/lib/i386-linux-gnu/dri/swrast_dri.so
libGL error: reverting to indirect rendering
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: Quadro4 900 XGL/AGP/SSE2
OpenGL version string: 1.4 (1.5.8 NVIDIA 96.43.23)

Reinstalled 96.43.23 & got DRI (and GL vertex buffer object) back.

@Flames: PEBAC? Were you trying for PEBKAC or similar?

I realize what vdpau is used for. However:

$ apt-cache depends mplayer | grep libvdpau
  Depends: libvdpau1

@giardia: libvdpau1 error now appears on the 96.43.23 that I did. This is due to reinstalling libvdpau1 before the reintall:
$ cat /var/log/nvidia-installer.log |grep libGL
         /usr/lib/i386-linux-gnu/mesa/libGL.so.1 -> libGL.so.1.2 (File
WARNING: Unable to restore symbolic link /usr/lib/i386-linux-gnu/mesa/libGL.so
         -> libGL.so.1 (File exists).
WARNING: Unable to restore symbolic link /usr/lib/i386-linux-gnu/libGL.so ->
         mesa/libGL.so (File exists).

Also reinstalled libvdpau1 to get mplayer working again. Thanks for tip.

Changed in nvidia-graphics-drivers-96 (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
giardia (fabriziosm) wrote :

@ NoOp
i have also the same warning
WARNING: Unable to restore symbolic link
         /usr/lib/i386-linux-gnu/vdpau/libvdpau_trace.so.1 ->
         libvdpau_trace.so.1.0.0 (File exists).
WARNING: Unable to restore symbolic link /usr/lib/i386-linux-gnu/libvdpau.so.1
         -> libvdpau.so.1.0.0 (File exists).
WARNING: Unable to restore symbolic link
         /usr/lib/i386-linux-gnu/mesa/libGL.so.1 -> libGL.so.1.2 (File
         exists).

we know how to fix the first...uninstalling and reinstalling libvdpau1 package, but what about the libGl.so ???

NoOp (glgxg) wrote :

Alberto: Nvidia 96.43.23 has been released as certified by Nvidia:
<http://www.nvidia.com/object/linux-display-ia32-96.43.23-driver.html>
Linux Display Driver - x86
Version:
96.43.23 Certified
Release Date:
2012.09.17
Operating System:
Linux
Language:
English (U.S.)
File Size:
17.4 MB

Will we ever see this version packaged for Precise?

Dave Stroud (bigdavesr) wrote :

https://launchpad.net/~mati75/+archive/lubuntu/+build/3890278 lubuntu has built debs for this driver and it works on 12.04 and mint 13.I am using it on 12.04 with a few problems but not bad ones.

Jon Grossart (jon-grossart) wrote :

Ha...just came here to say that I too had just found the updated nvidia-96 drives...which was released in Septemeber.

Please update precise so at least we have the full LTS cycle to use these old card/laptops with.

NoOp (glgxg) wrote :

@Dave: thanks. Upstream (Debian) have as well:
<https://launchpad.net/debian/+source/nvidia-graphics-drivers-legacy-96xx>
     Published on 2012-09-19 <=== Sept 19 - two days after the 'Certified' nvidia release.
Changelog
nvidia-graphics-drivers-legacy-96xx (96.43.23-2) unstable; urgency=low
<https://launchpad.net/debian/+source/nvidia-graphics-drivers-legacy-96xx/96.43.23-2>

Currently I'm installing from the NVIDIA-Linux-x86-96.43.23-pkg1.run, but it's a PITA rebuilding it every time a new proposed kernel comes out. I've not tried the Debian version (yet).

opera (opera2) wrote :

Do you have any plans to release an updated package?
Without the nvidia driver I can't use the native resolution for my screen. That's a bit annoying.

Hello Jean-Baptiste, or anyone else affected,

Accepted nvidia-graphics-drivers-96 into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-96/96.43.23-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nvidia-graphics-drivers-96 (Ubuntu Precise):
status: Confirmed → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
NoOp (glgxg) wrote :

Thanks Colin! Works for me: (Note: I've not tried with Unity as it's not supported with this card/driver)

$ sudo lshw -C display
  *-display
       description: VGA compatible controller
       product: NV25GL [Quadro4 900 XGL]
       vendor: NVIDIA Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a3
       width: 32 bits
       clock: 66MHz
       capabilities: pm agp agp-2.0 vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=248 maxlatency=1 mingnt=5
       resources: irq:16 memory:fd000000-fdffffff memory:d0000000-d7ffffff memory:dc780000-dc7fffff memory:fe9e0000-fe9fffff

$ jockey-text -l
kmod:martian_dev - Agere 164x dsp driver (Free, Enabled, In use)
xorg:nvidia_96 - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)

$ apt-cache policy nvidia-96
nvidia-96:
  Installed: 96.43.23-0ubuntu0.1
  Candidate: 96.43.23-0ubuntu0.1
  Version table:
 *** 96.43.23-0ubuntu0.1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise-proposed/restricted i386 Packages
        100 /var/lib/dpkg/status
     96.43.20-0ubuntu6 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/restricted i386 Packages

$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: Quadro4 900 XGL/AGP/SSE2
OpenGL version string: 1.5.8 NVIDIA 96.43.23

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: no
GL vertex buffer object: yes
GL framebuffer object: no
GL version is 1.4+: yes

Unity 3D supported: no

$ glxgears
Running synchronized to the vertical refresh. The framerate should be
approximately the same as the monitor refresh rate.
10114 frames in 5.0 seconds = 2021.769 FPS
10893 frames in 5.0 seconds = 2178.501 FPS
10874 frames in 5.0 seconds = 2174.723 FPS
10618 frames in 5.0 seconds = 2112.233 FPS

Previous driver installed was the direct NVIDIA-Linux-x86-96.43.23-pkg1.run, so I've been able to easily compare performance.
96.43.23-0ubuntu0.1 went in without any problems at all. Thanks again!

1 comments hidden view all 163 comments
Mark Lila (mark-lilas) wrote :

Works for me too on a clean install:

$ sudo lshw -C display
[sudo] password for ml1:
  *-display
       description: VGA compatible controller
       product: NV28 [GeForce4 Ti 4200 Go AGP 8x]
       vendor: NVIDIA Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a1
       width: 32 bits
       clock: 66MHz
       capabilities: pm agp agp-3.0 vga_controller bus_master
       vga_palette cap_list rom
       configuration: driver=nvidia latency=248 maxlatency=1 mingnt=5
       resources: irq:11 memory:fc000000-fcffffff
       memory:f0000000-f3ffffff memory:fd000000-fd01ffff

$ jockey-text -l
xorg:nvidia_96 - NVIDIA accelerated graphics driver (Proprietary,
Enabled, In use)

$ apt-cache policy nvidia-96
nvidia-96:
  Installed: 96.43.23-0ubuntu0.1
  Candidate: 96.43.23-0ubuntu0.1
  Version table:
 *** 96.43.23-0ubuntu0.1 0
        100 /var/lib/dpkg/status
     96.43.20-0ubuntu6 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/restricted i386
        Packages

$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce4 4200 Go/AGP/SSE2
OpenGL version string: 1.5.8 NVIDIA 96.43.23

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: no
GL vertex buffer object: yes
GL framebuffer object: no
GL version is 1.4+: yes

Unity 3D supported: no

$ glxgears
Running synchronized to the vertical refresh. The framerate should be
approximately the same as the monitor refresh rate.
13663 frames in 5.0 seconds = 2732.545 FPS

Bib (bybeu) wrote :

Ok here, it just works: I had to unlock xorg's previous version from /etc/apt/preferences (replaced the sticking lines with those advised here https://wiki.ubuntu.com/Testing/EnableProposed to prevent all -proposed auto updates) and upgrade it to current Precise default release and update all in Synaptic BEFORE I add precise-proposed to the repos, then in Synaptic force the listed nvidia-96 96.43.20 to 96.43.23 and update.
Hibernation still brings to black screen on thaw after the 100% pages are shown reloaded

Bib (bybeu) wrote :

Same issue when resume from suspend

Bib (bybeu) wrote :

But gnome classic with effects now works :)
great job guys. Thank you

Bib (bybeu) wrote :

HI Mark
I see we have the very same video. Please could you talk about sleep/hibernation with me at f0rhumatfreedotfr ?
Thank you

Here is my own report

$ sudo lshw -C display
[sudo] password for me:
  *-display
       description: VGA compatible controller
       produit: NV28 [GeForce4 Ti 4200 Go AGP 8x]
       fabriquant: NVIDIA Corporation
       identifiant matériel: 0
       information bus: pci@0000:01:00.0
       version: a1
       bits: 32 bits
       horloge: 66MHz
       fonctionnalités: pm agp agp-3.0 vga_controller bus_master vga_palette cap_list rom
       configuration: driver=nvidia latency=248 maxlatency=1 mingnt=5
       ressources: irq:11 mémoire:fc000000-fcffffff mémoire:f0000000-f3ffffff mémoire:fd000000-fd01ffff
$ jockey-text -l
xorg:nvidia_96 - Pilote d'accélération graphique NVIDIA (Propriétaire, Activé, Utilisé)

$ apt-cache policy nvidia-96
nvidia-96:
  Installé : 96.43.23-0ubuntu0.1
  Candidat : 96.43.23-0ubuntu0.1
 Table de version :
 *** 96.43.23-0ubuntu0.1 0
        400 http://fr.archive.ubuntu.com/ubuntu/ precise-proposed/restricted i386 Packages
        100 /var/lib/dpkg/status
     96.43.20-0ubuntu6 0
        500 http://fr.archive.ubuntu.com/ubuntu/ precise/restricted i386 Packages
$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce4 4200 Go/AGP/SSE2
OpenGL version string: 1.5.8 NVIDIA 96.43.23

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: no
GL vertex buffer object: yes
GL framebuffer object: no
GL version is 1.4+: yes

Unity 3D supported: no
$ glxgears
Running synchronized to the vertical refresh. The framerate should be
approximately the same as the monitor refresh rate.
12872 frames in 5.0 seconds = 2574.231 FPS

Regarding suspend/hibernate issues: I have had this problem on various systems. It usually helps to switch to text mode (vt1) before suspend and back to graphics (vt7) after suspend. This can be automated using a script in /etc/pm/sleep.d:
/etc/pm/sleep.d$ cat 00-chvt
#!/bin/sh

case "$1" in
    suspend|hibernate)
 chvt 1
        ;;
    resume|thaw)
 chvt 7
        ;;
esac

Mark Lila (mark-lilas) wrote :
Download full text (7.6 KiB)

I just checked suspend/hibernate and they are both broken. I'm not sure
if suspend/hibernate would work with Nouveau or any other driver on this
Dell Inspiron 8500 better than with the latest nvidia-96. I haven't
used these features much so unfortunately I can't contribute further.

On Fri, Jan 4, 2013, at 09:33 AM, Bib wrote:
> HI Mark
> I see we have the very same video. Please could you talk about
> sleep/hibernation with me at f0rhumatfreedotfr ?
> Thank you
>
> Here is my own report
>
> $ sudo lshw -C display
> [sudo] password for me:
> *-display
> description: VGA compatible controller
> produit: NV28 [GeForce4 Ti 4200 Go AGP 8x]
> fabriquant: NVIDIA Corporation
> identifiant matériel: 0
> information bus: pci@0000:01:00.0
> version: a1
> bits: 32 bits
> horloge: 66MHz
> fonctionnalités: pm agp agp-3.0 vga_controller bus_master
> vga_palette cap_list rom
> configuration: driver=nvidia latency=248 maxlatency=1 mingnt=5
> ressources: irq:11 mémoire:fc000000-fcffffff
> mémoire:f0000000-f3ffffff mémoire:fd000000-fd01ffff
> $ jockey-text -l
> xorg:nvidia_96 - Pilote d'accélération graphique NVIDIA (Propriétaire,
> Activé, Utilisé)
>
> $ apt-cache policy nvidia-96
> nvidia-96:
> Installé : 96.43.23-0ubuntu0.1
> Candidat : 96.43.23-0ubuntu0.1
> Table de version :
> *** 96.43.23-0ubuntu0.1 0
> 400 http://fr.archive.ubuntu.com/ubuntu/
> precise-proposed/restricted i386 Packages
> 100 /var/lib/dpkg/status
> 96.43.20-0ubuntu6 0
> 500 http://fr.archive.ubuntu.com/ubuntu/ precise/restricted i386
> Packages
> $ /usr/lib/nux/unity_support_test -p
> OpenGL vendor string: NVIDIA Corporation
> OpenGL renderer string: GeForce4 4200 Go/AGP/SSE2
> OpenGL version string: 1.5.8 NVIDIA 96.43.23
>
> Not software rendered: yes
> Not blacklisted: yes
> GLX fbconfig: yes
> GLX texture from pixmap: yes
> GL npot or rect textures: yes
> GL vertex program: yes
> GL fragment program: no
> GL vertex buffer object: yes
> GL framebuffer object: no
> GL version is 1.4+: yes
>
> Unity 3D supported: no
> $ glxgears
> Running synchronized to the vertical refresh. The framerate should be
> approximately the same as the monitor refresh rate.
> 12872 frames in 5.0 seconds = 2574.231 FPS
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/948053
>
> Title:
> nvidia-173 and nvidia-96 uninstallable on Precise
>
> Status in NVIDIA Drivers Ubuntu:
> New
> Status in “nvidia-graphics-drivers-173” package in Ubuntu:
> Fix Released
> Status in “nvidia-graphics-drivers-173-updates” package in Ubuntu:
> Fix Released
> Status in “nvidia-graphics-drivers-96” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers-173” source package in Precise:
> Fix Released
> Status in “nvidia-graphics-drivers-173-updates” source package in
> Precise:
> Fix Released
> Status in “nvidia-graphics-drivers-96” source package in Precise:
> Fix Committed
>
> Bug description:
> Package...

Read more...

NoOp (glgxg) wrote :

Updated my kernel today:

3.2.0-36-generic-pae #56-Ubuntu SMP Wed Jan 2 22:09:45 UTC 2013 i686 i686 i386 GNU/Linux

and it was very nice not to have to run NVIDIA-Linux-x86-96.43.23-pkg1.run on reboot. Simply installed the kernel update, rebooted and 96.43.23-0ubuntu0.1 activated & worked w/o issues. I'd tag this as fixed.

Timo Aaltonen (tjaalton) on 2013-01-10
tags: added: verification-done
removed: verification-needed
Pjotr12345 (computertip) wrote :

Thank you, developers! :)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-96 - 96.43.23-0ubuntu0.1

---------------
nvidia-graphics-drivers-96 (96.43.23-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release
    - updated to work with the xserver ABI. (LP: #948053)
 -- Timo Aaltonen <email address hidden> Tue, 18 Dec 2012 16:01:52 +0200

Changed in nvidia-graphics-drivers-96 (Ubuntu Precise):
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton) wrote :

Closing the bug for anything newer than precise. The driver has been removed from the archive because there is and won't be any updates from nvidia to make it work with newer xservers.

Changed in nvidia-graphics-drivers-96 (Ubuntu):
status: Confirmed → Invalid
Bib (bybeu) wrote :

@ Johannes Martin
Hi Johannes, I tried your tip, not forgetting to chmod +x
It didn't worked neither for suspend nor hibernate, but at least I can see briefly on resume/thaw the console login screen.
pm-suspend.log doesn't seem to report any error when the wake-up fails.
When disabling your script (chmod -x), closing X session then issuing pm-suspend or pm-hibernate from console, both work fine (although no password is asked at wake-up, I get the console session opened), but switching Ctrl+Alt+F7 brings back to black screen, reverting to console impossible and Alt+PrtScn+K ineffective. Sometimes Alt+PrtScn+B reboots the laptop, sometimes not.
I wouldn't like to pollute more this thread. Should I post a new bug? And for which package pm/kelnel/xorg/video?
Thank you

Bib (bybeu) on 2013-01-19
description: updated

Regarding suspend/resume problems: I might help on certain graphics cards to etc /etc/default/grub:

# make sure we start in plain text mode
GRUB_CMDLINE_LINUX_DEFAULT="noquiet nosplash"

# Uncomment to disable graphical terminal (grub-pc only)
GRUB_TERMINAL=console

Suspend/resume works for me (01:00.0 VGA compatible controller: NVIDIA Corporation NV17 [GeForce4 440 Go] (rev a3)).

Bib (bybeu) wrote :

Hmmm, mine is nv28
Still hangs. I already had "nosplash" and console, just had to insert noquiet.
I just thought I could have a 12.04 working. Don't mind, Johannes, thank although.

tags: added: quantal

hi!

@ searchfgolds67899:

a new bugreport bug1064192 was opened for Quantal, this one got closed. Therefore removing tag "quantal". Pls. try to get familiar with "How to report bugs ;-)

tags: removed: quantal

It does specifially not make much sense after the verification was done & the fix has been released.

Nixblicker (el-lunatico) wrote :

Hello,

does anyone know whether it is safe for now (and the future) to update xserver-xorg and its dependencies to the newest versions without breaking compatibility with the nvidia-96 branch of gfx drivers?
I am so happy that I was able to make my old NV18 gpu running on a fresh install of LTS 12.04 Lubuntu after I experienced mysterious graphical glitches and severe system slowdowns with nouveau driver modules when I gave Lubuntu 12.10 a try.

It took me hours and hours of troubleshooting to find out, that the lack of support for legacy nvidia gpus was causing the hassle in the first place.
And now I am afraid of breaking the running system again with an update of the xserver, that is, if i got it right, on the brink to be updated to a new (and yet unsupported?!) ABI version.

What would you experts suggest? Fix a certain xserver version?

Thank you very much, especially those who helped to make nvidia-96 drivers working in 12.x releases!

hi Nixblicker

easy to answer:

producer-info: http://www.nvidia.com/object/linux-display-ia32-96.43.23-driver.html

Has NO support for XOrg-Server ABI 1.13 (which is the latest (lts-quantal)).

Read also comment #155 in this bugreport

> What would you experts suggest?

This is not a help Forum - it's for bugreporting. It's focusized on bugreporting and fixing.

Join in the discussion on the Nvidia-support forums.

I'm not an expert... :-) But it's time to make some thoughts about getting newer HW, i.e. The Nvidia 6200 (new or used), which fits in a AGP-slot is supported by the legacy driver 304. There is also a GT610 for the PCI-slot - but is worth to invest money in a energy consuming oldie?

Or stick with 12.04 LTS with 5 Years of support - enjoy the bug- and security fixes – +save some money over the time - take it when the LTS support ends and build yourself a newer system. Carefully selecting the components as the mobo. Which preferably has a multicore CPU to fit in & make a 64-bit version installable... AND a PCI-e slot for the graphics-card. So you could make some use of VDPAU or even CUDA (if needed). If u have some $$$ left, add a SSD ;_)

Every hardware has it's breakpoint (in terms of EOL of producers-support). AND YES it's great to have this supported in 12.04.2 – Thanks to the dev's!

Glad to see that Ubuntu is innovative.

piccobello (piccobello) wrote :

My experience in a nutshell (using Kubuntu):
- I have an old machine with a GeForce FX 5200, which was working great with natty and the proprietary nvidia-173 driver, manually installed
- I don't care about 3D and effects, but watching movies with nouveau I had some annoying flickering horizontal lines
- after upgrading to precise I restored nouveau as the proprietary driver compalined about a missing file in /lib
- installing nvidia-173 (173.14.39-0ubuntu0.0.1) using Applications -> System -> Additional Drivers (Jockey) solved the issue for me.

In short, you can use GeForce FX 5200 with nvidia-173 in Kubuntu Precise

Thanks to all that contributed!

Displaying first 40 and last 40 comments. View all 163 comments or add a comment.